Update version

master
thomas 1 week ago
parent e7009df100
commit 7ef4baf9a9
  1. 21
      ressources/bitwarden-desktop/debmaker
  2. 13
      ressources/gitea/debmaker
  3. 17
      ressources/glpi/debmaker
  4. 12
      ressources/grocy/debmaker
  5. 2
      ressources/joplin-desktop/debmaker
  6. 10
      ressources/kimai2/debmaker
  7. 11
      ressources/mailhog/debmaker
  8. 7
      ressources/mealie/README.MD
  9. 1
      ressources/mealie/rootfs-api/DEBIAN/control
  10. 6
      ressources/phpbb/debmaker

@ -9,7 +9,16 @@ DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=8
PACKAGE_DEPENDENCY="pkg-config libsecret-1-dev yarn nodejs build-essential libglib2.0-dev"
STEP="base_package_upgrade configure_depot_yarn configure_depot_nodejs install_package_dependency install_rust get_git_source build makedeb"
main(){
base_package_upgrade
configure_depot_yarn
configure_depot_nodejs
install_package_dependency
install_rust
get_git_source
build
makedeb
}
build() {
source ~/.cargo/env
@ -29,20 +38,20 @@ build() {
makedeb(){
PATH_DEB=/tmp/src/rootfs
mkdir -p ${PATH_DEB}/usr/lib/
mkdir -p ${PATH_DEB}/usr/bin/
mkdir -p ${PATH_DEB}/usr/share/doc/bitwarden/
cp -fr /tmp/${APP}/apps/desktop/dist/linux-unpacked ${PATH_DEB}/usr/lib/bitwarden-desktop
for tmp in /tmp/${APP}/apps/desktop/resources/icons/*
do
for tmp in /tmp/${APP}/apps/desktop/resources/icons/*
do
RESOLUTION=$(basename $tmp .png)
mkdir -p ${PATH_DEB}/usr/share/icons/hicolor/${RESOLUTION}/apps/
cp $tmp ${PATH_DEB}/usr/share/icons/hicolor/${RESOLUTION}/apps/bitwarden.png
done
ln -s /usr/lib/bitwarden-desktop/bitwarden ${PATH_DEB}/usr/bin/bitwarden
sed -i "s/%VERSION%/$DEB_VERSION/" ${PATH_DEB}/DEBIAN/control
fakeroot dpkg-deb -Z gzip --build ${PATH_DEB} /tmp/dist
}

@ -7,13 +7,16 @@ GIT_VERSION=v${VERSION}
DEB_VERSION=${VERSION}-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=5
PACKAGE_DEPENDENCY="build-essential nodejs"
STEP="base_package_upgrade envinit default_prebuild build makedeb"
envinit() {
configure_depot_nodejs
apt install -y --no-install-recommends build-essential nodejs
main() {
base_package_upgrade
configure_depot_nodejs 18
install_package_dependency
install_go
get_git_source
build
makedeb
}
build() {

@ -7,12 +7,15 @@ GIT_VERSION=${VERSION}
DEB_VERSION=${VERSION}-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=4
PACKAGE_DEPENDENCY="patch composer php-json php-xml php-curl php-gd php-intl php-ldap php-zip php-mysql gettext"
STEP="base_package_upgrade envinit get_git_source build makedeb"
envinit() {
main() {
base_package_upgrade
configure_depot_nodejs
apt install -y --no-install-recommends patch composer php-json php-xml php-curl php-gd php-intl php-ldap php-zip php-mysql gettext
install_package_dependency
get_git_source
build
makedeb
}
build(){
@ -23,11 +26,11 @@ build(){
makedeb(){
PATH_DEB=/tmp/src/rootfs
PATH_DEB_INSTALL=/tmp/src/rootfs-install
tar -zxvf /tmp/${APP}-${VERSION}.tgz -C ${PATH_DEB}/usr/share/
mv ${PATH_DEB}/usr/share/glpi/install ${PATH_DEB_INSTALL}/usr/share/glpi/
mv ${PATH_DEB}/usr/share/glpi/*.md ${PATH_DEB}/usr/share/doc/glpi/
gzip ${PATH_DEB}/usr/share/doc/glpi/*

@ -7,17 +7,21 @@ GIT_VERSION=v$VERSION
DEB_VERSION=${VERSION}-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bookworm
IMAGE_SIZE=4
PACKAGE_DEPENDENCY="composer php-simplexml php-gd unzip yarn nodejs"
STEP="base_package_upgrade envinit get_git_source build makedeb"
envinit() {
main() {
base_package_upgrade
configure_depot_yarn
apt-get install -y --no-install-recommends composer php-simplexml php-gd unzip yarn
install_package_dependency
get_git_source
build
makedeb
}
build() {
set +x
cd /tmp/grocy
export COMPOSER_ALLOW_SUPERUSER=1
composer install -n
yarn install
}

@ -1,6 +1,6 @@
#!/bin/bash
VERSION=2.9.16
VERSION=2.9.17
APP=joplin-desktop
GIT_VERSION=v${VERSION}
DEB_VERSION=$VERSION-$(date +%Y%m%d%H%M)

@ -1,6 +1,6 @@
#!/bin/bash
VERSION=1.28.0
VERSION=1.29.0
APP=kimai2
DEPOT=https://github.com/kevinpapst/kimai2.git
GIT_VERSION=${VERSION}
@ -9,7 +9,13 @@ DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=2
PACKAGE_DEPENDENCY="composer php-zip php-gd php-intl php-xsl"
STEP="base_package_upgrade install_package_dependency default_prebuild build makedeb"
main() {
base_package_upgrade
install_package_dependency
default_prebuild
build
makedeb
}
build() {
cd /tmp/${APP}

@ -7,12 +7,15 @@ GIT_VERSION=v$VERSION-beta1
DEB_VERSION=$VERSION-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=2
PACKAGE_DEPENDENCY="build-essential"
STEP="base_package_upgrade envinit base_package_upgrade build makedeb"
envinit() {
apt install -y --no-install-recommends build-essential
main() {
base_package_upgrade
install_package_dependency
install_go
get_git_source
build
makedeb
}
build() {

@ -7,11 +7,16 @@ Source : https://github.com/hay-kot/mealie
##### Install
Require debian 12 (bookworm)
```bash
apt install -y wget ca-certificates
wget -qO - https://deb.lgy.fr/install.sh | bash
wget -qO - https://deb.nodesource.com/setup_16.x| bash
echo -e "Package: nodejs\\nPin: version 16.*\\nPin-Priority: 1000" > /etc/apt/preferences.d/nodejs
apt-get update
apt-get install -y mealie
apt-get install -y mealie-frontend mealie-api
#Edit /etc/default/mealie-api and /etc/default/mealie-frontend

@ -3,5 +3,6 @@ Version: %VERSION%
Section: contrib
Priority: optional
Architecture: all
Depends: python-is-python3 ( >= 3.10 ), crfpp
Maintainer: Thomas Legay <thomas@lgy.fr>
Description: mealie-api

@ -19,7 +19,7 @@ build(){
makedeb(){
PATH_DEB=/tmp/src/rootfs
PATH_DEB_INSTALL=/tmp/src/rootfs-install
mv /tmp/${APP}/phpBB/install ${PATH_DEB_INSTALL}/usr/share/phpbb
cp -fr /tmp/${APP}/phpBB ${PATH_DEB}/usr/share/phpbb
@ -35,10 +35,10 @@ makedeb(){
mv ${PATH_DEB}/usr/share/phpbb/cache ${PATH_DEB}/var/lib/phpbb/cache
ln -s /var/cache/phpbb ${PATH_DEB}/usr/share/phpbb/cache
sed -i "s/%VERSION%/$DEB_VERSION/" ${PATH_DEB}/DEBIAN/control
fakeroot dpkg-deb -Z gzip --build ${PATH_DEB} /tmp/dist
sed -i "s/%VERSION%/$DEB_VERSION/" ${PATH_DEB_INSTALL}/DEBIAN/control
fakeroot dpkg-deb -Z gzip --build ${PATH_DEB_INSTALL} /tmp/dist
}

Loading…
Cancel
Save